## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate curl-sys
%global crate_version 0.4.60+curl-7.88.1

Name:           rust-curl-sys
Version:        0.4.60
Release:        %autorelease
Summary:        Native bindings to the libcurl library

License:        MIT
URL:            https://crates.io/crates/curl-sys
Source:         %{crates_source %{crate} %{crate_version}}
# Automatically generated patch to strip foreign dependencies
Patch:          curl-sys-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * remove curl version suffix from crate version
# * drop windows-specific features and dependencies
# * drop optional dependencies and unused features (libnghttp2, mesalink)
# * drop rustls support (rustls is not supported on all architectures)
# * drop optional, unused zlib-ng support
Patch:          curl-sys-fix-metadata.diff
# * remove code related to building vendored curl sources
# * unconditionally use pkg-config to link with system libcurl
Patch:          0001-unconditionally-use-pkg-config-to-link-with-system-l.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Native bindings to the libcurl library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libcurl)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+http2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http2-devel %{_description}

This package contains library source intended for building other packages which
use the "http2" feature of the "%{crate}" crate.

%files       -n %{name}+http2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ntlm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ntlm-devel %{_description}

This package contains library source intended for building other packages which
use the "ntlm" feature of the "%{crate}" crate.

%files       -n %{name}+ntlm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl-sys" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+poll_7_68_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+poll_7_68_0-devel %{_description}

This package contains library source intended for building other packages which
use the "poll_7_68_0" feature of the "%{crate}" crate.

%files       -n %{name}+poll_7_68_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+protocol-ftp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+protocol-ftp-devel %{_description}

This package contains library source intended for building other packages which
use the "protocol-ftp" feature of the "%{crate}" crate.

%files       -n %{name}+protocol-ftp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+spnego-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+spnego-devel %{_description}

This package contains library source intended for building other packages which
use the "spnego" feature of the "%{crate}" crate.

%files       -n %{name}+spnego-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssl-devel %{_description}

This package contains library source intended for building other packages which
use the "ssl" feature of the "%{crate}" crate.

%files       -n %{name}+ssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+upkeep_7_62_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+upkeep_7_62_0-devel %{_description}

This package contains library source intended for building other packages which
use the "upkeep_7_62_0" feature of the "%{crate}" crate.

%files       -n %{name}+upkeep_7_62_0-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{crate_version} -p1
# remove bundled curl sources
rm -vr curl
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libcurl)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Feb 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.60-1
- Update to version 0.4.60+curl-7.88.1; Fixes RHBZ#2172110

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.59-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.59-1
- Update to version 0.4.59+curl-7.86.0; Fixes RHBZ#2138052

* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.56-1
- Update to version 0.4.56+curl-7.83.1; Fixes RHBZ#2109772

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.55-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.55-1
- Update to version 0.4.55+curl-7.83.1; Fixes RHBZ#2063393

* Thu Jan 27 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.52-1
- Update to version 0.4.52+curl-7.81.0; Fixes RHBZ#2038503

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.51-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 26 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.51-1
- Update to version 0.4.51+curl-7.80.0; Fixes RHBZ#2025204

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.50-1
- Update to version 0.4.50+curl-7.79.1; Fixes RHBZ#2004570

* Thu Jul 29 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.45-1
- Update to version 0.4.45+curl-7.78.0; Fixes RHBZ#1936752

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.39-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Dec 13 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.39-1
- Update to version 0.4.39+curl-7.74.0.
- Fixes RHBZ#1888087

* Thu Aug 20 2020 Josh Stone <jistone@redhat.com> - 0.4.36-1
- Update to 0.4.36+curl-7.71.1

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.33-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 2020 Josh Stone <jistone@redhat.com> - 0.4.33-1
- Update to 0.4.33+curl-7.71.1

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 0.4.32-1
- Update to 0.4.32+curl-7.70.0

* Sun May 17 16:07:18 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.31-2
- Drop move unneeded dependencies
- Add static features back, but make them noop

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.4.31-1
- Update to 0.4.31+curl-7.70.0

* Wed Mar 11 2020 Josh Stone <jistone@redhat.com> - 0.4.30+curl-7.69.1
- Update to 0.4.30+curl-7.69.1

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 0.4.29-1
- Update to 0.4.29+curl-7.68.0

* Wed Mar 04 2020 Josh Stone <jistone@redhat.com> - 0.4.28-1
- Update to 0.4.28+curl-7.69.0

* Sat Feb 29 2020 Josh Stone <jistone@redhat.com> - 0.4.27-1
- Update to 0.4.27

* Thu Feb 20 2020 Josh Stone <jistone@redhat.com> - 0.4.26-1
- Update to 0.4.26

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.4.25-1
- Update to 0.4.25

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.4.24-1
- Update to 0.4.24

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 12:41:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.19-1
- Update to 0.4.19

* Thu May 09 2019 Josh Stone <jistone@redhat.com> - 0.4.18-1
- Update to 0.4.18

* Wed Mar 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.17-1
- Update to 0.4.17

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 09 2019 Josh Stone <jistone@redhat.com> - 0.4.16-1
- Update to 0.4.16

* Thu Dec 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.15-2
- Run tests in infrastructure

* Sat Nov 10 2018 Josh Stone <jistone@redhat.com> - 0.4.15-1
- Update to 0.4.15
- Adapt to new packaging

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.13-2
- Adapt to new packaging

* Mon Oct 08 2018 Josh Stone <jistone@redhat.com> - 0.4.13-1
- Update to 0.4.13

* Thu Sep 20 2018 Josh Stone <jistone@redhat.com> - 0.4.12-1
- Update to 0.4.12

* Tue Sep 18 2018 Josh Stone <jistone@redhat.com> - 0.4.11-1
- Update to 0.4.11

* Fri Sep 14 2018 Josh Stone <jistone@redhat.com> - 0.4.10-1
- Update to 0.4.10

* Thu Sep 13 2018 Josh Stone <jistone@redhat.com> - 0.4.9-1
- Update to 0.4.9

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 0.4.8-1
- Update to 0.4.8

* Tue Jul 31 2018 Josh Stone <jistone@redhat.com> - 0.4.7-1
- Update to 0.4.7

* Sat Jul 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.6-1
- Update to 0.4.6

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 0.4.5-1
- Update to 0.4.5

* Mon Apr 16 2018 Josh Stone <jistone@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-2
- Rebuild for rust-packaging v5

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.15-1
- Initial package

